Update View
UpdateMemoView updates a View. Only the owner may call it.
Path Parameters
user*string
The user id.
view*string
The view id.
Query Parameters
updateMask?string
Optional. The fields to update. Supported paths: title, filter, icon. The service rejects an empty mask.
Format
field-maskRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
MemoView is a user's saved memo filter.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/api/users/string/views/string" \ -H "Content-Type: application/json" \ -d '{ "title": "string", "filter": "string" }'{ "name": "string", "title": "string", "filter": "string", "icon": { "emoji": "string", "lucide": "string" }}